{% trans_default_domain('Battle') %}

<table class="verybasic troops">
    <tbody>
    <tr>
        <th>{{ 'armyStat.header.unit' | trans }}</th>
        <th onmouseover="showHintMsg(this, '{{ 'armyStat.tooltip.healthy' | trans }}')"
            onmouseout="hideHint()">
            {{ 'armyStat.header.healthy' | trans }}
        </th>
        <th onmouseover="showHintMsg(this, '{{ 'armyStat.tooltip.injured' | trans }}')"
            onmouseout="hideHint()">
            {{ 'armyStat.header.injured' | trans }}
        </th>
        <th onmouseover="showHintMsg(this, '{{ 'armyStat.tooltip.dead' | trans }}')"
            onmouseout="hideHint()">
            {{ 'armyStat.header.dead' | trans }}
        </th>
        <th onmouseover="showHintMsg(this, '{{ 'armyStat.tooltip.total' | trans }}')"
            onmouseout="hideHint()">
            {{ 'armyStat.header.total' | trans }}
        </th>
    </tr>

    {% for unitStat in unitStats %}
        <tr>
            <td>
                <img src="{{ asset('img/icons/u_' ~ unitStat.unit.name ~ '.png') }}">
                <p>
                    {{ ('units.' ~ unitStat.unit.name ~ '.name') | trans([], 'Common') }}
                </p>
            </td>

            <td>
                {{ unitStat.healthyCount }}
            </td>

            <td onmouseover="showHintMsg(this, '{{ 'armyStat.healthAverage' | trans({'%average%': '?', '%total%': '?'}) }}')"
                onmouseout="hideHint()">
                {{ unitStat.injuredCount }}
            </td>

            <td>
                {{ unitStat.deadCount }}
            </td>

            <td>
                {{ unitStat.totalCount }}
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>